<?php

namespace App\Filament\Resources\Products\Tables;

use Filament\Actions\BulkActionGroup;
use Filament\Actions\DeleteBulkAction;
use Filament\Actions\EditAction;
use Filament\Tables\Columns\IconColumn;
use Filament\Tables\Columns\ImageColumn;
use Filament\Tables\Columns\TextColumn;
use Filament\Tables\Table;

class ProductsTable
{
    public static function configure(Table $table): Table
    {
        return $table
            ->columns([
                TextColumn::make('category.name')
                    ->label('Kategoriýasy')
                    ->searchable(),
                TextColumn::make('name')
                    ->label('Ady')
                    ->searchable(),
                TextColumn::make('price')
                    ->label('Bahasy')
                    ->money('TMT')
                    ->sortable(),
                ImageColumn::make('image')
                    ->label('Suraty'),
                IconColumn::make('is_active')
                    ->label('Işjeňmi')
                    ->boolean(),
                TextColumn::make('created_at')
                    ->label('Döredilen wagty')
                    ->dateTime()
                    ->sortable()
                    ->toggleable(isToggledHiddenByDefault: true),
                TextColumn::make('updated_at')
                    ->label('Üýtgedilen wagty')
                    ->dateTime()
                    ->sortable()
                    ->toggleable(isToggledHiddenByDefault: true),
            ])
            ->filters([
                //
            ])
            ->recordActions([
                EditAction::make(),
            ])
            ->toolbarActions([
                BulkActionGroup::make([
                    DeleteBulkAction::make(),
                ]),
            ]);
    }
}
